cudnn_frontend::EngineConfigBuilder_v8
cudnn_frontend_EngineConfig.h
EngineConfig_v8 EngineConfig_v8 cudnn_frontend::EngineConfigBuilder_v8::m_engine_config m_engine_config
auto auto cudnn_frontend::EngineConfigBuilder_v8::setEngine (Engine_v8 const &engine_) -> EngineConfigBuilder_v8 & setEngine Engine_v8 const & engine_

Set engine for the EngineConfig_v8.

cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
cudnn_frontend::EngineFallbackListBuilder_v8::build
EngineConfig_v8 && EngineConfig_v8&& cudnn_frontend::EngineConfigBuilder_v8::build () build

constructs the Engine_v8 Config by calling the cudnn API Throws the appropriate error message

cudnn_frontend::EngineConfig_v8::EngineConfigBuilder_v8
cudnn_frontend::getLogger
cudnn_frontend::EngineConfig_v8::operator=
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
cudnn_frontend::EngineConfigBuilder_v8::EngineConfigBuilder_v8
()=default
EngineConfigBuilder_v8
cudnn_frontend::EngineConfigBuilder_v8::~EngineConfigBuilder_v8
()=default
~EngineConfigBuilder_v8
cudnn_frontend::EngineConfigBuilder_v8::EngineConfigBuilder_v8
(EngineConfigBuilder_v8 &&)=delete
EngineConfigBuilder_v8
EngineConfigBuilder_v8 &&
cudnn_frontend::EngineConfigBuilder_v8::EngineConfigBuilder_v8
(EngineConfigBuilder_v8 const &)=delete
EngineConfigBuilder_v8
EngineConfigBuilder_v8 const &
EngineConfigBuilder_v8 & EngineConfigBuilder_v8& cudnn_frontend::EngineConfigBuilder_v8::operator= (EngineConfigBuilder_v8 const &)=delete operator= EngineConfigBuilder_v8 const &

EngineConfigBuilder_v8 Class Helper class used to build EngineConfig_v8 class

shared_ptr< OpaqueBackendPointer >
T
std::array< T >
+elements
std::array< ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS >
+elements
< ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS >
cudnn_frontend::EngineConfig_v8
-bChoices
-numKnobs
-set_knobs_attr
-opGraphTag
-engine
cudnnStatus_t
std::basic_string< char >
cudnn_frontend::EngineConfigBuilder_v8
-m_engine_config
ManagedOpaqueDescriptor
bool
int64_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::EngineConfigBuilder_v8
  build
- cudnn_frontend::EngineConfigBuilder_v8
  EngineConfigBuilder_v8
- cudnn_frontend::EngineConfigBuilder_v8
  EngineConfigBuilder_v8
- cudnn_frontend::EngineConfigBuilder_v8
  EngineConfigBuilder_v8
- cudnn_frontend::EngineConfigBuilder_v8
  m_engine_config
- cudnn_frontend::EngineConfigBuilder_v8
  operator=
- cudnn_frontend::EngineConfigBuilder_v8
  setEngine
- cudnn_frontend::EngineConfigBuilder_v8
  ~EngineConfigBuilder_v8